
QGIS Application - Bug report #9359

The WCS client don't seem to refresh the cache
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WCS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17959

Description

Using the client wcs from last trunk,

I notice that the client wcs with the option "always-cache" use a local cached data .

And never update it.

I guess the local-cache should be update sometime.

I guess a acceptable strategy could be to update the cache on every use of the network option,

or however almost every day.

Because if a user set the use of "always-cache" it should never see any update to the data in wcs server.

Associated revisions

Revision 817f5a9a - 2014-10-27 12:04 AM - Larry Shaffer

Fix #9359; set default WCS caching to Prefer Network

- This is noted in the tool tip, but was not set. Always Cache was the

default, which caused the cache to never be updated on upstream changes.

Caveat: this does not fix projects with existing WCS layers.

History

#1 - 2014-08-19 03:17 AM - Markus Neteler

I confirm this important issue in QGIS 2.4.0

#2 - 2014-10-26 04:04 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"817f5a9a0d4224ab667f182f29499b1dfb9a3298".
